* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary-font: "Poppins", sans-serif;
  --blue0: #3774a9;
  --blue1: #76a7d2;
  --blue2: #8cb5d9;
  --blue3: #b2cee6;
  --blue4: #d7e6f3;
  --blue5: #e7f0f8;
  --white: #f7f8f9;
  --black: #1f2a37;
  --gray0: #4d4d4d;
  --gray1: #878787;
  --gray2: #afafaf;
  --gray3: #e6e6e6;
  --gray4: #f3f5f6;
  --gray-stroke: rgba(195, 195, 195, 0.1);
  --light-blue-gray: #e6e9ec;
  --light-salmon: #e6b2b2;
  --salmon: #d98c8c;
  --bg: #e6e6e7;
  --fw400: 400;
  --fw500: 500;
  --fw600: 600;
  --fw700: 700;
  --fw800: 800;
  --border-radius: 0.5rem;
  --radius4: 0.25rem;
  --radius10: 0.625rem;
  --radius100: 6.25rem;
  --blue-inner-shadow: 0.25rem 0.25rem 0.25rem 0 rgba(255, 255, 255, 0.7) inset,
    -0.125rem -0.125rem 0.25rem 0 rgba(118, 167, 210, 0.54) inset,
    0.125rem 0.125rem 0.25rem 0 rgba(118, 167, 210, 0.85) inset;
  --gray-inner-shadow: 0.125rem 0.25rem 0.25rem 0 rgba(195, 195, 195, 0.43),
    -0.125rem -0.125rem 0.5rem 0 rgba(195, 195, 195, 0.5) inset,
    0.125rem 0.125rem 0.5rem 0 rgba(195, 195, 195, 0.2) inset;
  --box-shadow: 0 0.25rem 0.25rem 0 rgba(209, 209, 209, 0.25);
  --transition: 0.4s all ease;
  --letter-spacing: 0.0688rem;
  --line-height: 1.75rem;
}

body {
  background-color: var(--bg);
  width: 100%;
  max-width: 100vw;
  font-size: 16px;
}

/* === 📌 image cards === */

.section__cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: 90%;
  max-width: 75rem;
  margin: 6.25rem auto;
  gap: 1.5rem;
  align-items: center;
  justify-content: space-between;
  background-color: transparent;
}

.card {
  background: var(--gray4);
  border-radius: var(--radius10);
  box-shadow: var(--box-shadow);
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
}

.card-img {
  width: 100%;
  height: 16.0625rem;
  background: url("../assets/building3.webp");
  background-size: cover;
  border-radius: var(--border-radius);
}

#card-img2 {
  background: url("../assets/building2.webp");
  background-size: cover;
}
#card-img3 {
  background: url("../assets/building1.webp");
  background-size: cover;
}

.card-text {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.card-header {
  font-size: 1.5rem;
  color: var(--black);
  font-weight: var(--fw500);
}

.card-sub-header {
  font-size: 0.875rem;
  color: var(--gray1);
}

article {
  color: var(--gray0);
  line-height: var(--line-height);
  margin: 1.5rem 0 1rem 0;
  font-weight: 300;
}

/* === 📌 responsive === */

@media (max-width: 68.75rem) {
  .section__cards {
    gap: 0.5rem;
  }
}

@media (max-width: 56.25rem) {
  .section__cards {
    grid-template-columns: 1fr;
    gap: 1.5rem;
  }

  .card-img {
    height: 17.5rem;
  }
}

@media (max-width: 600px){
  .section__cards{
    width: 100%;
  }
  
}